Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001101Core InformPhrases and functional programmingpublic2013-04-06 19:022014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001101: Shadowed kind names are not shadowed in try phrases
DescriptionIn the source text below, the local variable ``the person'' will shadow the kind of the same name in most phrase invocations, for instance the showme. But the try provokes

- - - -
You wrote 'try the person going north', but 'person going north' is too vague to describe a specific action.

It has to be an exact instruction about what is being done, and to what. For instance, 'taking the box' is fine, but 'dropping or taking something openable' is not.
- - - -
Minimal Source Text To Reproduce
There is a room.
Every turn:
	repeat with the person running through the people:
		showme the printed name of the person;
		try the person going north.
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0002009)
zarf (developer)
2013-04-07 20:51

Confirmed.
(0002476)
graham (administrator)
2014-02-11 11:13

Inform can now read this correctly.

- Issue History
Date Modified Username Field Change
2013-04-06 19:02 EmacsUser New Issue
2013-04-07 20:51 zarf Note Added: 0002009
2013-04-07 20:51 zarf Status new => confirmed
2014-02-11 11:13 graham Note Added: 0002476
2014-02-11 11:13 graham Status confirmed => resolved
2014-02-11 11:13 graham Resolution open => fixed
2014-02-11 11:13 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker